Skip to main content
GET
List Skill Versions
Every request requires ?beta=true and anthropic-beta: skills-2025-10-02.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-beta
string
required

Optional header to specify the beta version(s) you want to use.

To use multiple betas, use a comma separated list like beta1,beta2 or specify the header multiple times for each beta.

anthropic-version
string

The version of the OMA API you want to use.

Read more about versioning and our version history here.

Path Parameters

skill_id
string
required

Unique identifier for the skill.

The format and length of IDs may change over time.

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true
page
string | null

Optionally set to the next_page token from the previous response.

limit
integer | null

Number of items to return per page.

Defaults to 20. Ranges from 1 to 1000.

Response

Successful Response

data
SkillVersion · object[]
required

List of skill versions.

has_more
boolean
required

Indicates if there are more results in the requested page direction.

next_page
string | null
required

Token to provide in as page in the subsequent request to retrieve the next page of data.

Example:

"page_MjAyNS0wNS0xNFQwMDowMDowMFo="